Subject: [AVT] RTP multicast address and port assignment for multiple sessions?

From: <[email-masked]>
Date: Wed, 27 Apr 2005 19:48:50 -0700

Is there a process or recommendation for how to assign multicast
addresses and port numbers for multiple, disparate multicast RTP
sessions on the same network? For example, audio conferences in a
small school environment with a single network, but multiple
classrooms each participating in different conferences within the
school.

How would my application go about assigning multicast addresses and
port numbers for these sessions? I could negotiate port numbers via
some non-RTP means (although it might fail if all participants can't
support a common port). Assigning multicast addresses seems more
difficult since they are global.

Is there a recommendation for what RTP apps are supposed to do to
support these situations? Is there a group of reserved multicast
addresses for RTP that could be negotiated via some kind of probing
protocol? I didn't see anything in my Google searches, but maybe I was
searching for the wrong thing.

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt

---

From: Marshall Eubanks <[email-masked]>
Date: Sat, 30 Apr 2005 09:59:58 -0400

Hello;

Here are some simple answers :

Coordinate with your system administrator and pick an address (or
addresses) in 239/8
(analogous to the RFC1918 space for unicast; 239/8 is
filtered on domain borders). This is (IMHO) opinion the best bet if you are
doing a broadcast and only are interested in "local" multiicast (say if you
want to multicast a video to your entire organization).
The only downside is you may collide with other users in 239/8, and
you can't send
to other domains without a proxy or a tunnel. So, if you are making an
appliocation
that relies on local multicast, you need to provide an ability to
change the multicast address.

OR

Use your GLOP space. You have to have an AS number for this, as
described in RFC 2770 - Each ASN has a /24 in 233/8. This is your best bet if
you have a wide area (inter-domain) application or broadcast. This would also
be my recommendation if you were making an application that was local
(TTL = 1), but you wanted to use in many domains without user
configuration, as you should
not collide with any other users. If you do not have an AS, and really want
a fixed address block, and are prepared to justify it, contact me or Dave Meyer
and it should be possible to get an extended GLOP (e-GLOP) assignment
from a RIR.

The question of dynamical multicast address assignments is again under
consideration;
if you really need this, you might think of participating in the MBONED WG or
at least sending your requirements and justifications to Dave Meyer
(WG Chair), or
even to me.

Regards
Marshall Eubanks